]> CyberLeo.Net >> Repos - FreeBSD/FreeBSD.git/blob - contrib/cvs/Makefile.in
This commit was generated by cvs2svn to compensate for changes in r175261,
[FreeBSD/FreeBSD.git] / contrib / cvs / Makefile.in
1 # Makefile.in generated by automake 1.9.6 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005  Free Software Foundation, Inc.
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 # Master Makefile for the GNU Concurrent Versions System.
18 # Copyright (C) 1986, 1987, 1988, 1989, 1990, 1991, 1992, 1993, 1994,
19 #               1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003
20 #               Free Software Foundation, Inc.
21
22 # This program is free software; you can redistribute it and/or modify
23 # it under the terms of the GNU General Public License as published by
24 # the Free Software Foundation; either version 2, or (at your option)
25 # any later version.
26
27 # This program is distributed in the hope that it will be useful,
28 # but WITHOUT ANY WARRANTY; without even the implied warranty of
29 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
30 # GNU General Public License for more details.
31 srcdir = @srcdir@
32 top_srcdir = @top_srcdir@
33 VPATH = @srcdir@
34 pkgdatadir = $(datadir)/@PACKAGE@
35 pkglibdir = $(libdir)/@PACKAGE@
36 pkgincludedir = $(includedir)/@PACKAGE@
37 top_builddir = .
38 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
39 INSTALL = @INSTALL@
40 install_sh_DATA = $(install_sh) -c -m 644
41 install_sh_PROGRAM = $(install_sh) -c
42 install_sh_SCRIPT = $(install_sh) -c
43 INSTALL_HEADER = $(INSTALL_DATA)
44 transform = $(program_transform_name)
45 NORMAL_INSTALL = :
46 PRE_INSTALL = :
47 POST_INSTALL = :
48 NORMAL_UNINSTALL = :
49 PRE_UNINSTALL = :
50 POST_UNINSTALL = :
51 subdir = .
52 DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
53         $(srcdir)/Makefile.in $(srcdir)/config.h.in \
54         $(srcdir)/cvs.spec.in $(top_srcdir)/configure \
55         $(top_srcdir)/emx/Makefile.in $(top_srcdir)/os2/Makefile.in \
56         $(top_srcdir)/zlib/Makefile.in AUTHORS COPYING COPYING.LIB \
57         ChangeLog INSTALL NEWS TODO compile depcomp install-sh \
58         mdate-sh missing mkinstalldirs ylwrap
59 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
60 am__aclocal_m4_deps = $(top_srcdir)/acinclude.m4 \
61         $(top_srcdir)/configure.in
62 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
63         $(ACLOCAL_M4)
64 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
65  configure.lineno configure.status.lineno
66 mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
67 CONFIG_HEADER = config.h
68 CONFIG_CLEAN_FILES = cvs.spec emx/Makefile os2/Makefile zlib/Makefile
69 SOURCES =
70 DIST_SOURCES =
71 RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
72         html-recursive info-recursive install-data-recursive \
73         install-exec-recursive install-info-recursive \
74         install-recursive installcheck-recursive installdirs-recursive \
75         pdf-recursive ps-recursive uninstall-info-recursive \
76         uninstall-recursive
77 ETAGS = etags
78 CTAGS = ctags
79 DIST_SUBDIRS = $(SUBDIRS)
80 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
81 distdir = $(PACKAGE)-$(VERSION)
82 top_distdir = $(distdir)
83 am__remove_distdir = \
84   { test ! -d $(distdir) \
85     || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
86          && rm -fr $(distdir); }; }
87 DIST_ARCHIVES = $(distdir).tar.gz $(distdir).tar.bz2
88 GZIP_ENV = --best
89 distuninstallcheck_listfiles = find . -type f -print
90 distcleancheck_listfiles = find . -type f -print
91 ACLOCAL = @ACLOCAL@
92 AMDEP_FALSE = @AMDEP_FALSE@
93 AMDEP_TRUE = @AMDEP_TRUE@
94 AMTAR = @AMTAR@
95 AUTOCONF = @AUTOCONF@
96 AUTOHEADER = @AUTOHEADER@
97 AUTOMAKE = @AUTOMAKE@
98 AWK = @AWK@
99 CC = @CC@
100 CCDEPMODE = @CCDEPMODE@
101 CFLAGS = @CFLAGS@
102 CPP = @CPP@
103 CPPFLAGS = @CPPFLAGS@
104 CSH = @CSH@
105 CYGPATH_W = @CYGPATH_W@
106 DEFS = @DEFS@
107 DEPDIR = @DEPDIR@
108 ECHO_C = @ECHO_C@
109 ECHO_N = @ECHO_N@
110 ECHO_T = @ECHO_T@
111 EDITOR = @EDITOR@
112 EGREP = @EGREP@
113 EXEEXT = @EXEEXT@
114 INSTALL_DATA = @INSTALL_DATA@
115 INSTALL_PROGRAM = @INSTALL_PROGRAM@
116 INSTALL_SCRIPT = @INSTALL_SCRIPT@
117 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
118 KRB4 = @KRB4@
119 LDFLAGS = @LDFLAGS@
120 LIBOBJS = @LIBOBJS@
121 LIBS = @LIBS@
122 LN_S = @LN_S@
123 LTLIBOBJS = @LTLIBOBJS@
124 MAINT = @MAINT@
125 MAINTAINER_MODE_FALSE = @MAINTAINER_MODE_FALSE@
126 MAINTAINER_MODE_TRUE = @MAINTAINER_MODE_TRUE@
127 MAKEINFO = @MAKEINFO@
128 MAKE_TARGETS_IN_VPATH_FALSE = @MAKE_TARGETS_IN_VPATH_FALSE@
129 MAKE_TARGETS_IN_VPATH_TRUE = @MAKE_TARGETS_IN_VPATH_TRUE@
130 MKTEMP = @MKTEMP@
131 OBJEXT = @OBJEXT@
132 PACKAGE = @PACKAGE@
133 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
134 PACKAGE_NAME = @PACKAGE_NAME@
135 PACKAGE_STRING = @PACKAGE_STRING@
136 PACKAGE_TARNAME = @PACKAGE_TARNAME@
137 PACKAGE_VERSION = @PACKAGE_VERSION@
138 PATH_SEPARATOR = @PATH_SEPARATOR@
139 PERL = @PERL@
140 PR = @PR@
141 PS2PDF = @PS2PDF@
142 RANLIB = @RANLIB@
143 ROFF = @ROFF@
144 SENDMAIL = @SENDMAIL@
145 SET_MAKE = @SET_MAKE@
146 SHELL = @SHELL@
147 STRIP = @STRIP@
148 TEXI2DVI = @TEXI2DVI@
149 VERSION = @VERSION@
150 YACC = @YACC@
151 ac_ct_CC = @ac_ct_CC@
152 ac_ct_RANLIB = @ac_ct_RANLIB@
153 ac_ct_STRIP = @ac_ct_STRIP@
154 ac_prefix_program = @ac_prefix_program@
155 am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
156 am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
157 am__include = @am__include@
158 am__leading_dot = @am__leading_dot@
159 am__quote = @am__quote@
160 am__tar = @am__tar@
161 am__untar = @am__untar@
162 bindir = @bindir@
163 build_alias = @build_alias@
164 datadir = @datadir@
165 exec_prefix = @exec_prefix@
166 host_alias = @host_alias@
167 includedir = @includedir@
168 includeopt = @includeopt@
169 infodir = @infodir@
170 install_sh = @install_sh@
171 libdir = @libdir@
172 libexecdir = @libexecdir@
173 localstatedir = @localstatedir@
174 mandir = @mandir@
175 mkdir_p = @mkdir_p@
176 oldincludedir = @oldincludedir@
177 prefix = @prefix@
178 program_transform_name = @program_transform_name@
179 sbindir = @sbindir@
180 sharedstatedir = @sharedstatedir@
181 sysconfdir = @sysconfdir@
182 target_alias = @target_alias@
183 with_default_rsh = @with_default_rsh@
184
185 # Unix source subdirs, where we'll want to run lint and etags:
186 # This is a legacy variable from b4 Automake
187 USOURCE_SUBDIRS = lib zlib diff src
188 # All other subdirs:
189 SUBDIRS = $(USOURCE_SUBDIRS) man doc contrib tools \
190         windows-NT os2 emx vms
191
192 EXTRA_DIST = \
193         .cvsignore \
194         BUGS \
195         ChangeLog.zoo \
196         DEVEL-CVS \
197         FAQ \
198         HACKING \
199         MINOR-BUGS \
200         PROJECTS \
201         README.VMS \
202         TESTS \
203         build.com \
204         cvs-format.el \
205         cvsnt.dep \
206         cvsnt.dsp \
207         cvsnt.dsw \
208         cvsnt.mak \
209         cvs.spec \
210         mktemp.sh
211
212 all: config.h
213         $(MAKE) $(AM_MAKEFLAGS) all-recursive
214
215 .SUFFIXES:
216 am--refresh:
217         @:
218 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__configure_deps)
219         @for dep in $?; do \
220           case '$(am__configure_deps)' in \
221             *$$dep*) \
222               echo ' cd $(srcdir) && $(AUTOMAKE) --gnu '; \
223               cd $(srcdir) && $(AUTOMAKE) --gnu  \
224                 && exit 0; \
225               exit 1;; \
226           esac; \
227         done; \
228         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  Makefile'; \
229         cd $(top_srcdir) && \
230           $(AUTOMAKE) --gnu  Makefile
231 .PRECIOUS: Makefile
232 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
233         @case '$?' in \
234           *config.status*) \
235             echo ' $(SHELL) ./config.status'; \
236             $(SHELL) ./config.status;; \
237           *) \
238             echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
239             cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
240         esac;
241
242 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
243         $(SHELL) ./config.status --recheck
244
245 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
246         cd $(srcdir) && $(AUTOCONF)
247 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
248         cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
249
250 config.h: stamp-h1
251         @if test ! -f $@; then \
252           rm -f stamp-h1; \
253           $(MAKE) stamp-h1; \
254         else :; fi
255
256 stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
257         @rm -f stamp-h1
258         cd $(top_builddir) && $(SHELL) ./config.status config.h
259 $(srcdir)/config.h.in: @MAINTAINER_MODE_TRUE@ $(am__configure_deps) 
260         cd $(top_srcdir) && $(AUTOHEADER)
261         rm -f stamp-h1
262         touch $@
263
264 distclean-hdr:
265         -rm -f config.h stamp-h1
266 cvs.spec: $(top_builddir)/config.status $(srcdir)/cvs.spec.in
267         cd $(top_builddir) && $(SHELL) ./config.status $@
268 emx/Makefile: $(top_builddir)/config.status $(top_srcdir)/emx/Makefile.in
269         cd $(top_builddir) && $(SHELL) ./config.status $@
270 os2/Makefile: $(top_builddir)/config.status $(top_srcdir)/os2/Makefile.in
271         cd $(top_builddir) && $(SHELL) ./config.status $@
272 zlib/Makefile: $(top_builddir)/config.status $(top_srcdir)/zlib/Makefile.in
273         cd $(top_builddir) && $(SHELL) ./config.status $@
274 uninstall-info-am:
275
276 # This directory's subdirectories are mostly independent; you can cd
277 # into them and run `make' without going through this Makefile.
278 # To change the values of `make' variables: instead of editing Makefiles,
279 # (1) if the variable is set in `config.status', edit `config.status'
280 #     (which will cause the Makefiles to be regenerated when you run `make');
281 # (2) otherwise, pass the desired values on the `make' command line.
282 $(RECURSIVE_TARGETS):
283         @failcom='exit 1'; \
284         for f in x $$MAKEFLAGS; do \
285           case $$f in \
286             *=* | --[!k]*);; \
287             *k*) failcom='fail=yes';; \
288           esac; \
289         done; \
290         dot_seen=no; \
291         target=`echo $@ | sed s/-recursive//`; \
292         list='$(SUBDIRS)'; for subdir in $$list; do \
293           echo "Making $$target in $$subdir"; \
294           if test "$$subdir" = "."; then \
295             dot_seen=yes; \
296             local_target="$$target-am"; \
297           else \
298             local_target="$$target"; \
299           fi; \
300           (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
301           || eval $$failcom; \
302         done; \
303         if test "$$dot_seen" = "no"; then \
304           $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
305         fi; test -z "$$fail"
306
307 mostlyclean-recursive clean-recursive distclean-recursive \
308 maintainer-clean-recursive:
309         @failcom='exit 1'; \
310         for f in x $$MAKEFLAGS; do \
311           case $$f in \
312             *=* | --[!k]*);; \
313             *k*) failcom='fail=yes';; \
314           esac; \
315         done; \
316         dot_seen=no; \
317         case "$@" in \
318           distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
319           *) list='$(SUBDIRS)' ;; \
320         esac; \
321         rev=''; for subdir in $$list; do \
322           if test "$$subdir" = "."; then :; else \
323             rev="$$subdir $$rev"; \
324           fi; \
325         done; \
326         rev="$$rev ."; \
327         target=`echo $@ | sed s/-recursive//`; \
328         for subdir in $$rev; do \
329           echo "Making $$target in $$subdir"; \
330           if test "$$subdir" = "."; then \
331             local_target="$$target-am"; \
332           else \
333             local_target="$$target"; \
334           fi; \
335           (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
336           || eval $$failcom; \
337         done && test -z "$$fail"
338 tags-recursive:
339         list='$(SUBDIRS)'; for subdir in $$list; do \
340           test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
341         done
342 ctags-recursive:
343         list='$(SUBDIRS)'; for subdir in $$list; do \
344           test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
345         done
346
347 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
348         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
349         unique=`for i in $$list; do \
350             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
351           done | \
352           $(AWK) '    { files[$$0] = 1; } \
353                END { for (i in files) print i; }'`; \
354         mkid -fID $$unique
355 tags: TAGS
356
357 TAGS: tags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
358                 $(TAGS_FILES) $(LISP)
359         tags=; \
360         here=`pwd`; \
361         if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
362           include_option=--etags-include; \
363           empty_fix=.; \
364         else \
365           include_option=--include; \
366           empty_fix=; \
367         fi; \
368         list='$(SUBDIRS)'; for subdir in $$list; do \
369           if test "$$subdir" = .; then :; else \
370             test ! -f $$subdir/TAGS || \
371               tags="$$tags $$include_option=$$here/$$subdir/TAGS"; \
372           fi; \
373         done; \
374         list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
375         unique=`for i in $$list; do \
376             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
377           done | \
378           $(AWK) '    { files[$$0] = 1; } \
379                END { for (i in files) print i; }'`; \
380         if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
381           test -n "$$unique" || unique=$$empty_fix; \
382           $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
383             $$tags $$unique; \
384         fi
385 ctags: CTAGS
386 CTAGS: ctags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
387                 $(TAGS_FILES) $(LISP)
388         tags=; \
389         here=`pwd`; \
390         list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
391         unique=`for i in $$list; do \
392             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
393           done | \
394           $(AWK) '    { files[$$0] = 1; } \
395                END { for (i in files) print i; }'`; \
396         test -z "$(CTAGS_ARGS)$$tags$$unique" \
397           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
398              $$tags $$unique
399
400 GTAGS:
401         here=`$(am__cd) $(top_builddir) && pwd` \
402           && cd $(top_srcdir) \
403           && gtags -i $(GTAGS_ARGS) $$here
404
405 distclean-tags:
406         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
407
408 distdir: $(DISTFILES)
409         $(am__remove_distdir)
410         mkdir $(distdir)
411         $(mkdir_p) $(distdir)/. $(distdir)/contrib $(distdir)/doc $(distdir)/emx $(distdir)/lib $(distdir)/os2 $(distdir)/src $(distdir)/windows-NT $(distdir)/zlib
412         @srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
413         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
414         list='$(DISTFILES)'; for file in $$list; do \
415           case $$file in \
416             $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
417             $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
418           esac; \
419           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
420           dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
421           if test "$$dir" != "$$file" && test "$$dir" != "."; then \
422             dir="/$$dir"; \
423             $(mkdir_p) "$(distdir)$$dir"; \
424           else \
425             dir=''; \
426           fi; \
427           if test -d $$d/$$file; then \
428             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
429               cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
430             fi; \
431             cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
432           else \
433             test -f $(distdir)/$$file \
434             || cp -p $$d/$$file $(distdir)/$$file \
435             || exit 1; \
436           fi; \
437         done
438         list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
439           if test "$$subdir" = .; then :; else \
440             test -d "$(distdir)/$$subdir" \
441             || $(mkdir_p) "$(distdir)/$$subdir" \
442             || exit 1; \
443             distdir=`$(am__cd) $(distdir) && pwd`; \
444             top_distdir=`$(am__cd) $(top_distdir) && pwd`; \
445             (cd $$subdir && \
446               $(MAKE) $(AM_MAKEFLAGS) \
447                 top_distdir="$$top_distdir" \
448                 distdir="$$distdir/$$subdir" \
449                 distdir) \
450               || exit 1; \
451           fi; \
452         done
453         -find $(distdir) -type d ! -perm -777 -exec chmod a+rwx {} \; -o \
454           ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
455           ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
456           ! -type d ! -perm -444 -exec $(SHELL) $(install_sh) -c -m a+r {} {} \; \
457         || chmod -R a+r $(distdir)
458 dist-gzip: distdir
459         tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
460         $(am__remove_distdir)
461 dist-bzip2: distdir
462         tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
463         $(am__remove_distdir)
464
465 dist-tarZ: distdir
466         tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
467         $(am__remove_distdir)
468
469 dist-shar: distdir
470         shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
471         $(am__remove_distdir)
472
473 dist-zip: distdir
474         -rm -f $(distdir).zip
475         zip -rq $(distdir).zip $(distdir)
476         $(am__remove_distdir)
477
478 dist dist-all: distdir
479         tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
480         tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
481         $(am__remove_distdir)
482
483 # This target untars the dist file and tries a VPATH configuration.  Then
484 # it guarantees that the distribution is self-contained by making another
485 # tarfile.
486 distcheck: dist
487         case '$(DIST_ARCHIVES)' in \
488         *.tar.gz*) \
489           GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | $(am__untar) ;;\
490         *.tar.bz2*) \
491           bunzip2 -c $(distdir).tar.bz2 | $(am__untar) ;;\
492         *.tar.Z*) \
493           uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
494         *.shar.gz*) \
495           GZIP=$(GZIP_ENV) gunzip -c $(distdir).shar.gz | unshar ;;\
496         *.zip*) \
497           unzip $(distdir).zip ;;\
498         esac
499         chmod -R a-w $(distdir); chmod a+w $(distdir)
500         mkdir $(distdir)/_build
501         mkdir $(distdir)/_inst
502         chmod a-w $(distdir)
503         dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
504           && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
505           && cd $(distdir)/_build \
506           && ../configure --srcdir=.. --prefix="$$dc_install_base" \
507             $(DISTCHECK_CONFIGURE_FLAGS) \
508           && $(MAKE) $(AM_MAKEFLAGS) \
509           && $(MAKE) $(AM_MAKEFLAGS) dvi \
510           && $(MAKE) $(AM_MAKEFLAGS) check \
511           && $(MAKE) $(AM_MAKEFLAGS) install \
512           && $(MAKE) $(AM_MAKEFLAGS) installcheck \
513           && $(MAKE) $(AM_MAKEFLAGS) uninstall \
514           && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
515                 distuninstallcheck \
516           && chmod -R a-w "$$dc_install_base" \
517           && ({ \
518                (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
519                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
520                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
521                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
522                     distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
523               } || { rm -rf "$$dc_destdir"; exit 1; }) \
524           && rm -rf "$$dc_destdir" \
525           && $(MAKE) $(AM_MAKEFLAGS) dist \
526           && rm -rf $(DIST_ARCHIVES) \
527           && $(MAKE) $(AM_MAKEFLAGS) distcleancheck
528         $(am__remove_distdir)
529         @(echo "$(distdir) archives ready for distribution: "; \
530           list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
531           sed -e '1{h;s/./=/g;p;x;}' -e '$${p;x;}'
532 distuninstallcheck:
533         @cd $(distuninstallcheck_dir) \
534         && test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
535            || { echo "ERROR: files left after uninstall:" ; \
536                 if test -n "$(DESTDIR)"; then \
537                   echo "  (check DESTDIR support)"; \
538                 fi ; \
539                 $(distuninstallcheck_listfiles) ; \
540                 exit 1; } >&2
541 distcleancheck: distclean
542         @if test '$(srcdir)' = . ; then \
543           echo "ERROR: distcleancheck can only run from a VPATH build" ; \
544           exit 1 ; \
545         fi
546         @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
547           || { echo "ERROR: files left in build directory after distclean:" ; \
548                $(distcleancheck_listfiles) ; \
549                exit 1; } >&2
550 check-am: all-am
551 check: check-recursive
552 all-am: Makefile config.h
553 installdirs: installdirs-recursive
554 installdirs-am:
555 install: install-recursive
556 install-exec: install-exec-recursive
557 install-data: install-data-recursive
558 uninstall: uninstall-recursive
559
560 install-am: all-am
561         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
562
563 installcheck: installcheck-recursive
564 install-strip:
565         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
566           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
567           `test -z '$(STRIP)' || \
568             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
569 mostlyclean-generic:
570
571 clean-generic:
572
573 distclean-generic:
574         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
575
576 maintainer-clean-generic:
577         @echo "This command is intended for maintainers to use"
578         @echo "it deletes files that may require special tools to rebuild."
579 clean: clean-recursive
580
581 clean-am: clean-generic mostlyclean-am
582
583 distclean: distclean-recursive
584         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
585         -rm -f Makefile
586 distclean-am: clean-am distclean-generic distclean-hdr distclean-tags
587
588 dvi: dvi-recursive
589
590 dvi-am:
591
592 html: html-recursive
593
594 info: info-recursive
595
596 info-am:
597
598 install-data-am:
599
600 install-exec-am:
601
602 install-info: install-info-recursive
603
604 install-man:
605
606 installcheck-am:
607
608 maintainer-clean: maintainer-clean-recursive
609         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
610         -rm -rf $(top_srcdir)/autom4te.cache
611         -rm -f Makefile
612 maintainer-clean-am: distclean-am maintainer-clean-generic
613
614 mostlyclean: mostlyclean-recursive
615
616 mostlyclean-am: mostlyclean-generic
617
618 pdf: pdf-recursive
619
620 pdf-am:
621
622 ps: ps-recursive
623
624 ps-am:
625
626 uninstall-am: uninstall-info-am
627
628 uninstall-info: uninstall-info-recursive
629
630 .PHONY: $(RECURSIVE_TARGETS) CTAGS GTAGS all all-am am--refresh check \
631         check-am clean clean-generic clean-recursive ctags \
632         ctags-recursive dist dist-all dist-bzip2 dist-gzip dist-shar \
633         dist-tarZ dist-zip distcheck distclean distclean-generic \
634         distclean-hdr distclean-recursive distclean-tags \
635         distcleancheck distdir distuninstallcheck dvi dvi-am html \
636         html-am info info-am install install-am install-data \
637         install-data-am install-exec install-exec-am install-info \
638         install-info-am install-man install-strip installcheck \
639         installcheck-am installdirs installdirs-am maintainer-clean \
640         maintainer-clean-generic maintainer-clean-recursive \
641         mostlyclean mostlyclean-generic mostlyclean-recursive pdf \
642         pdf-am ps ps-am tags tags-recursive uninstall uninstall-am \
643         uninstall-info-am
644
645
646 .PHONY: localcheck remotecheck
647 localcheck remotecheck: all
648         cd src && $(MAKE) $(AM_MAKEFLAGS) "$@"
649
650 .PHONY: doc
651 doc:
652         cd doc && $(MAKE) $(AM_MAKEFLAGS) "$@"
653
654 # for backwards compatibility with the old makefiles
655 .PHONY: realclean
656 realclean: maintainer-clean
657 # Tell versions [3.59,3.63) of GNU make to not export all variables.
658 # Otherwise a system limit (for SysV at least) may be exceeded.
659 .NOEXPORT: